Subject: bug#23186: 25.0.92; Tramp: Windows does not always set COMSPEC, tramp blows up in a string-match

From: Jerry Asher <[email-masked]>
Date: Sat, 2 Apr 2016 13:21:30 -0700

Since the two of you have decided that a verbose warning is all that is
required to satisfy the problems THESE people are reporting and have
reported for years, since you have decided that assigning a guaranteed bad
value is better than setting a mostly correct value,

https://www.google.com/search?q=emacs+cmd.exe+tramp-encoding-shell+string-match

Then I gather I was correct in my earliest decision that working with you
was an exercise in futility and frustration.

On Sat, Apr 2, 2016 at 1:03 PM, Eli Zaretskii <[email-masked]> wrote:

> > From: Michael Albinus <[email-masked]>
> > Cc: Jerry Asher <[email-masked]>,  [email-masked]
> > Date: Sat, 02 Apr 2016 21:37:51 +0200
> >
> > The Tramp maintainers could check, whether COMSPEC is set, and raise a
> > verbose warning in case it isn't. Refusing further work.
>
> That'd be fine with me.
>
> > Shall I commit this to the emacs-25 branch, or to master?
>
> emacs-25, I guess.
>